WPS4TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()
| constructor More...

## Public Attributes

std::string | m_name
| the entry field name More...
PLCType | m_type
| the plc type More...
long | m_value
| a potential value More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

WPS4TextInternal::DataPLC::DataPLC | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string WPS4TextInternal::DataPLC::m_extra

a string used to store the parsing errors

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readPLC().

std::string WPS4TextInternal::DataPLC::m_name

the entry field name

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readPLC().

PLCType WPS4TextInternal::DataPLC::m_type

the plc type

Referenced by WPS4Text::readPLC().

long WPS4TextInternal::DataPLC::m_value

a potential value

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readPLC().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp